package lc.sips.jdbc;

import lc.sips.schema.ResultSet;

import java.io.IOException;

/**
 * This implementation of {@link ResultSet} is backed by a JDBC {@link java.sql.ResultSet}.
 *
 * @author Alex Leigh
 * @since 1.0
 */
public class JDBCResultSet implements ResultSet {
    private final ResultSet rs;

    public JDBCResultSet(ResultSet rs) {
        this.rs = rs;
    }

    @Override
    public void close() throws IOException {
        rs.close();
    }
}
